%define module	Acme-Cow
%define name	perl-%{module}
%define version 0.1
%define release %mkrel 11

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A configurable speaking/thinking Cow
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.nog.net/~tony/warez/%{module}-%{version}.tar.bz2
Url:		http://www.nog.net/~tony/warez/cowsay.shtml
BuildRoot:	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildrequires:  perl(Text::Template)
Buildarch:	noarch
conflicts:	cowsay

%description
Talking cows.  ASCII artwork.  A veritable foundation of the
Internet.

Now you can make the cows say whatever you want.  Acme::Cow is the
module that does all the work behind the new version of cow{say,think}
(also included in this distribution).  Now you can incorporate
loquactious cattle into any program you want, quickly and easily.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{_bindir}/*
%{perl_vendorlib}/Acme*
%{_mandir}/*/*





%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.1-11mdv2010.0
+ Revision: 430255
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-10mdv2009.0
+ Revision: 255254
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-8mdv2008.1
+ Revision: 133627
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1-7mdv2007.0
+ Revision: 73165
- import perl-Acme-Cow-0.1-7mdv2007.0

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-7mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-6mdk
- Buildrequires fix using perl policy

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-5mdk
- Buildrequires fix

* Wed Jun 08 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-4mdk 
- better url
- drop useless empty directories
- spec cleanup
- rpmbuildupdate aware
- make test (even cows have regression tests)

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-3mdk
- fix buildrequires in a backward compatible way

* Sun Jun 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-2mdk 
- mooooooooooooooooo! (aka fixing changelog, thx Stefan <stefan@eijk.nu>)

* Sun Jun 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-1mdk 
- yeeeeeeeeeeeeeeeeeeeeeeeeeeeah

